Bug 1738066 - nut depends on Python 2
Summary: nut depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:48 UTC by Lumír Balhar
Modified: 2019-10-26 17:21 UTC (History)
2 users (show)

Fixed In Version: nut-2.7.4-26.fc32 nut-2.7.4-26.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-04 08:18:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:48:05 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for nut's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to nut.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:48:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Lumír Balhar 2019-08-14 09:01:41 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 3 Michal Hlavinka 2019-08-15 16:05:08 UTC
- What is the reason for the Python2 dependency?
main app (server, client, drivers) is written in C
python is used for small UI app (ups status information) + python module (interface)

- What are the upstream/community plans/timelines regarding Python 3?
none

- What is the guidance for porting to Python 3? 
module seems working with python3 as is
app is simple and should be easy to make it python3 compatible, but it uses pygtk2 (import gtk, gtk.glade) and that is not available in python3 version

Comment 4 Lumír Balhar 2019-08-23 15:25:40 UTC
Thank you for the info.

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 5 Michal Hlavinka 2019-10-03 14:49:38 UTC
I've dropped the UI part, it should no longer depend on any python2 package.

Comment 6 Fedora Update System 2019-10-03 14:50:30 UTC
FEDORA-2019-fbab91f1d6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fbab91f1d6

Comment 7 Miro Hrončok 2019-10-03 19:39:09 UTC
nut-client-2.7.4-25.fc32 now requires:

pygtk2   - that is python2
python(abi) = 3.8

That is most probably a mistake.

Comment 8 Miro Hrončok 2019-10-04 08:18:43 UTC
Thanks.

Comment 9 Fedora Update System 2019-10-04 22:50:24 UTC
nut-2.7.4-26.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fbab91f1d6

Comment 10 Fedora Update System 2019-10-26 17:21:59 UTC
nut-2.7.4-26.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.